"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const flatten = nestedArray => nestedArray.reduce((acc, arr) => acc.concat(...arr), []);
const negate = predicate => x => !predicate(x);

exports.flatten = flatten;
exports.negate = negate;